
# if you define this to a version number it
# will get set up automatically for you in all
# the right places for the repos to work
#
%define setver %{nil}
# %{nil}

Name:		yum-conf-devtoolset%{setver}
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for devtoolset%{setver}

Group:		Development/Languages
License:	GPL
URL:		http://www.scientificlinux.org/

%define debug_package %{nil}
BuildRequires:	bash sed coreutils
Requires:	yum
BuildArch:	noarch

%description
Yum repository config files that point to the Scientific Linux build
of devtoolset%{setver}

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

VERNODASH=`echo %{setver} | tr -d '-'`

echo "Building devtoolset yum conf for devtoolset%{setver}"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/devtoolset%{setver}.repo <<DEVTOOLSREPO
[devtoolset%{setver}]
Name=Scientific Linux devtoolset%{setver} - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/6x/external_products/devtoolset/\$basearch/$VERNODASH
        http://ftp1.scientificlinux.org/linux/scientific/6x/external_products/devtoolset/\$basearch/$VERNODASH
        http://ftp2.scientificlinux.org/linux/scientific/6x/external_products/devtoolset/\$basearch/$VERNODASH

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl6

DEVTOOLSREPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Fri Nov 30 2012 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el6
- Initial build
